# Interface gmfSearchOptions

#### Hierarchy

- gmfSearchOptions

- Defined in src/options.js:813

#####
Index

### Properties

clearButton
colorChooser
coordinatesProjections
datasources
delay
maxZoom
placeholder
styles

## Properties

### clearButton

clearButton: boolean

Clear button in the input search.

- Defined in src/options.js:820

### colorChooser

colorChooser: boolean

Whether to let the user change the style of the feature on the map.

- Defined in src/options.js:822

### coordinatesProjections

coordinatesProjections: string[]

codes of supported projections for coordinates search (projections must be defined in ol3). If not provided, only the map's view projection format will be supported.

- Defined in src/options.js:817

### datasources

datasources: SearchComponentDatasource[]

The used datasources.

- Defined in src/options.js:825

### delay

delay: number

bloodhound request delay in ms.

- Defined in src/options.js:821

### maxZoom

maxZoom: number

maximum zoom we will zoom on result.

- Defined in src/options.js:823

### placeholder

placeholder: string

The placeholder.

- Defined in src/options.js:824

### styles

styles: Object

A map of styles to apply on searched features. Keys must be the 'layer_name' property of features except for coordinates where the key ifor its style is the value of the constant 'gmf.COORDINATES_LAYER_NAME'. The 'default' key is used to apply the default style.

- Defined in src/options.js:814

Generated using TypeDoc